<script>
  import { onMount } from "svelte";
  import { Score } from "./lib/index.js";

  export let name;
  let checked = false;

  let scoreData = {
    label: "Ceci est un label <b> ScoreData </b>",
    caption: {
      isShow: false,
      values: ["JAMAIS", "", "", "", "TOUJOURS"],
    },
    questions: [
      {
        id: 0,
        label: "Question 0",
        description: "Description question 0",
        checked: 2,
      },
      {
        id: 1,
        label: "Question 1",
        description: "Description question 1",
        checked: 4,
      },
    ],
    final: {
      on: 5,
      denominator: { isShow: true },
      weight: 1,
    },
    resume: { isShow: false, values: [] },
  };

  onMount(() => {
    const el = document.getElementById("custom");
    el["data"] = JSON.stringify(scoreData);
    el.setAttribute("data", JSON.stringify(scoreData));
  });
</script>

<main>
  <h1>Hello {name}!</h1>

  <label class="edition"
    >Mode Edition ::: <input type="checkbox" bind:checked /></label
  >
  <h3 class="question">Score 0 :: Fetch-Data</h3>
  <Score
    on:scoreChange={(e) => console.log(e)}
    bind:isEditing={checked}
    src="static/hamilton.json"
  ></Score>
  <h3 class="question">Score 1 :: Score-Data</h3>
  <Score
    on:scoreChange={(e) => console.log(e)}
    bind:isEditing={checked}
    bind:data={scoreData}
  ></Score>
  <h3 class="question">Score 2 is :: wc-score with properties and attributes</h3>
  <wc-score id="custom" isEditing={checked} />
</main>

<style>
  main {
    text-align: center;
    padding: 1em;
    max-width: 240px;
    margin: 0 auto;
    display: grid;
  }

  h1 {
    color: #ff3e00;
    text-transform: uppercase;
    font-size: 4em;
    font-weight: 100;
  }

  .edition {
    color: #ff3e00;
    background-color: blue;
    text-transform: uppercase;
    font-size: 2em;
    font-weight: 100;
  }
  .question {
    color: rgb(15, 15, 15);
    background-color: chartreuse;
    font-size: 1.4em;
    font-weight: 50;
  }

  @media (min-width: 640px) {
    main {
      max-width: none;
    }
  }
</style>
